<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" href="/css/site.css">
    <script src="site.js"></script>
    <title>MyWebPage</title>
</head>
<body id="fontpagebody">
<div id="gradina"></div>
<h1 th:utext="#{frontpage.header.label}"></h1>
<h2 th:text="#{hi.msg}" id="welcome"></h2>
<div th:text="#{${header}}" class="descr"></div>

<table>
    <tr>
        <th th:text="#{frontpage.headertable.id}">Id</th>
        <th th:text="#{frontpage.headertable.name}">Name</th>
        <th th:text="#{frontpage.headertable.price}">Price</th>
        <th th:text="#{frontpage.headertable.desc}">Description</th>
        <th th:text="#{frontpage.headertable.action}">Action</th>
    </tr>
    <tr th:each="p:${productList}">
        <td th:text="${p.productId}"></td>
        <td th:text="${p.productName}"></td>
        <td th:text="${p.productPrice}"></td>
        <td th:text="${p.productDescription}"></td>
        <td>
            <a th:href="@{${'/web/product/delete/'+ p.productId}}" th:text="#{frontpage.button.delete}">Delete | </a>
            <a th:href="@{${'/web/product/edit/'+ p.productId}}" th:text="#{frontpage.button.edit}">Edit</a>
        </td>
    </tr>
</table>

<button type="text"><a href="/web/product/add" th:text="#{frontpage.button.addproduct}">Add product</a></button>
<br>
<img src="/images/copac.jpg"></img>
</body>
</html>